Index: trunk/LMDZ.TITAN/libf/muphytitan/argparse.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/argparse.F90	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/argparse.F90	(revision 3090)
@@ -1,3 +1,3 @@
-! Copyright (c) (2013-2015,2017) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
+! Copyright (c) (2013-2015,2017,2022) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
 !
 ! This file is part of SWIFT
Index: trunk/LMDZ.TITAN/libf/muphytitan/asciiread.f90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/asciiread.f90	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/asciiread.f90	(revision 3090)
@@ -1,3 +1,3 @@
-! Copyright (c) (2013-2015,2017) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
+! Copyright (c) (2013-2015,2017,2022) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
 !
 ! This file is part of SWIFT
Index: trunk/LMDZ.TITAN/libf/muphytitan/cfgparse.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/cfgparse.F90	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/cfgparse.F90	(revision 3090)
@@ -1,3 +1,3 @@
-! Copyright (c) (2013-2015,2017) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
+! Copyright (c) (2013-2015,2017,2022) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
 !
 ! This file is part of SWIFT
Index: trunk/LMDZ.TITAN/libf/muphytitan/config/config.ne15.cfg
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/config/config.ne15.cfg	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/config/config.ne15.cfg	(revision 3090)
@@ -19,10 +19,10 @@
 #    2 - SF interactions
 #    4 - FF interactions.
-# (for example: 5 = 4+1 --> SS and FF coagulation only)
+# (for example : 5 = 4+1 --> SS and FF coagulation only)
 haze_coag_interactions = 7
 # Enable/disable Haze sedimentation process 
 haze_sedimentation     = T
 # Disable Fiadero correction for sedimentation process
-no_fiadero             = F
+no_fiadero             = T
 # Fiadero correction minimum ratio threshold
 fiadero_min_ratio      = 0.1
@@ -30,7 +30,7 @@
 fiadero_max_ratio      = 10.
 # Force settling velocity to M0
-wsed_m0 = T
+wsed_m0                = T
 # Force settling velocity to M3
-wsed_m3 = F
+wsed_m3                = F
 # Enable/disable clouds sedimentation process
 # (automatically set to F if clouds microphysics is not enabled)
@@ -41,5 +41,5 @@
 # Condensible species configuration file
 # (not needed if clouds microphysics is not enabled)
-specie_cfg             = ../datagcm/microphysics/mp2m_species.cfg
+specie_cfg             = ../../datagcm/microphysics/mp2m_species.cfg
 
 # Enable/disable spherical mode transfert probability
@@ -47,5 +47,5 @@
 # Path of the spherical mode transfert probability look-up tables file
 # (optional if 'transfert_probability' is False) 
-ps2s_file             = ../datagcm/microphysics/mmp_ps2s_rm50_ne15.nc
+ps2s_file             = ../../datagcm/microphysics/mmp_ps2s_rm50_ne15.nc
 
 # Electric charging coagulation correction
@@ -54,46 +54,39 @@
 # Path of the electric charging correction factor.
 # (optional if 'electric_charging' is False) 
-mq_file               = ../datagcm/microphysics/mmp_qmean_rm50_ne15.nc
+mq_file               = ../../datagcm/microphysics/mmp_qmean_rm50_ne15.nc
 
-#  alpha_X sections contain the parameters of the inter-moments relation function for
-#  the mode X: either spherical (s) or fractal (f)
-#  dndr_X sections contain the parameters of the size-distribution law of the mode X
+### Thresholds related parameters
+### -----------------------------
+# Aerosol spherical mode total number min. threshold
+m0as_min = 1e-10
+# Aerosol spherical mode min. caracteristic radius threshold
+rcs_min  = 1e-9
+# Aerosol fractal mode total number min. threshold
+m0af_min = 1e-10
+# Aerosol fractal mode min. caracteristic radius threshold (updated to monomer radius at runtime if needed)
+rcf_min  = 1e-9
+# cloud drop total number min. threshold
+m0n_min = 1e-10
+
+
+# =================== #
+# alpha_k cofficients #
+# =================== #
+# alpha_X sections contain the parameters of the inter-moments relation function for the mode X (spherical (s) or fractal (f))
 [alpha_s]
 a =   1.5044478E-02,  -2.0948806E-01,  -1.5824302E+02,   1.1597818E-01,   9.9502283E-02,  -1.1223796E-01
 b =  -2.8622255E-01,   7.7089599E+00,  -1.7000626E+02,   2.6012143E+00,   5.5138784E-01,   9.2024747E-01
 c =  -3.0205020E-02,  -3.5510239E+01,  -2.0306468E+02,  -1.3605159E+01,  -4.1653422E+00,  -4.2571698E+00
-[dndr_s]
-rc = 4.58219580180634588E-007
-a0 = 86144.861255561875
-c  = 0d0
-a  = 2.48333861883769357E-040, 1.46076790655632173E-013, 1.71525517568997062E-009,
-    1.80855172875974993E-019, 1.48212594918347503E-047, 6.87247318898338451E-081
-b  = 59.518212357684796, 15.507500262021228, -5.4179933012448069,
-    -9.3500794017892854, -18.207927270524777, -27.248924688740562
+
 [alpha_f]
 a =   1.5044478E-02,  -2.0948806E-01,  -1.5824302E+02,   1.1597818E-01,   9.9502283E-02,  -1.1223796E-01
 b =  -2.8622255E-01,   7.7089599E+00,  -1.7000626E+02,   2.6012143E+00,   5.5138784E-01,   9.2024747E-01
 c =  -3.0205020E-02,  -3.5510239E+01,  -2.0306468E+02,  -1.3605159E+01,  -4.1653422E+00,  -4.2571698E+00
-[dndr_f]
-rc = 4.58219580180634588E-007
-a0 = 86144.861255561875
-c  = 0d0
-a  = 2.48333861883769357E-040, 1.46076790655632173E-013, 1.71525517568997062E-009,
-    1.80855172875974993E-019, 1.48212594918347503E-047, 6.87247318898338451E-081
-b  = 59.518212357684796, 15.507500262021228, -5.4179933012448069,
-    -9.3500794017892854, -18.207927270524777, -27.248924688740562
 
 # ================= #
 # b^T_k cofficients #
 # ================= #
-# This section gathers the values of all the btk coefficient used in the coagulation
-# equations for the free-molecular regime.
+# This section gathers the values of all the btk coefficient used in the coagulation equations for the free-molecular regime
 [btks]
 bt0 = 0.73d0, 0.73d0, 0.75d0, 0.99d0, 0.00d0
 bt3 = 0.97d0, 0.97d0, 0.00d0, 0.99d0, 0.99d0
-
-[optics]
-optic_file = /path/to/optics_look_up_table.nc
-
-
-
Index: trunk/LMDZ.TITAN/libf/muphytitan/config/mp2m_species.cfg
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/config/mp2m_species.cfg	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/config/mp2m_species.cfg	(revision 3090)
@@ -1,75 +1,53 @@
-#----------------------------------------------------------------------------------------
-# mp_scpecies.cfg
+# ----------------------------------------------------------------------------------------
+# mp2m_scpecies.cfg
 # Thermodynamic properties of chemical species used in the cloud microphysics processes.
 # Each condensible specie that should be treated by the model must be entirely described
 # here.
 #
-# Air specie is always mandatory. It is saved in a special variable in the model and is 
-# never used as cloud condensible specie.
-#-----------------------------------------------------------------------------------------
+# ----------------------------------------------------------------------------------------
 # PARAMETER | DESCRIPTION
 # ----------|-----------------------------------------------------------------------------
 #  name     | Specie name, should be the same as the section name
-#  mas      | Molecular weight
-#  vol      | Molecular volume
-#  ray      | Molecular radius
-#  masmol   | Molar mass
-#  rho      | Density
-#  tc       | Critical temperature
-#  tb       | Boiling temperature
-#  pc       | Critical pressure (in bar !!!)
+#  mas      | Molecular weight      [kg]
+#  vol      | Molecular volume      [m3]
+#  ray      | Molecular radius      [m]
+#  masmol   | Molar mass            [kg.mol-1]
+#  rho      | Density               [kg.m-3]
+#  tc       | Critical temperature  [K]
+#  tb       | Boiling temperature   [K]
+#  pc       | Critical pressure     [bar]
+#  tx_prod  | Production rate       [kg.m-2.s-1] (actually this is not used by the model)
 #  w        | Acentric factor
-#  a_sat    | Coefficient A of Psat equation (from Reid et al. 1986).
-#  b_sat    | Coefficient B of Psat equation (from Reid et al. 1986).
-#  c_sat    | Coefficient C of Psat equation (from Reid et al. 1986).
-#  d_sat    | Coefficient D of Psat equation (from Reid et al. 1986).
+#  a_sat    | Coefficient A of Psat equation (from Reid et al. 1986)
+#  b_sat    | Coefficient B of Psat equation (from Reid et al. 1986)
+#  c_sat    | Coefficient C of Psat equation (from Reid et al. 1986)
+#  d_sat    | Coefficient D of Psat equation (from Reid et al. 1986)
 #  mteta    | Wettability (free parameter in most cases, from 0 to 1)
-#  tx_prod  | Production rate (actually this is not used by the model)
-#-----------------------------------------------------------------------------------------
+# -----------------------------------------------------------------------------------------
 
-### List of actual species to be used in the model:
-### WARNING : the list of species specified here should be ordered:
-###    In the model, ice tracers as well as condensible gazs species must have the same
-###    index.
-used_species = "CH4", "C2H6", "C2H2"
-
-# AIR properties (MANDATORY !!!)
-################################
-[air]
-name    = "air"
-mas     = 4.650e-26
-vol     = 5.750e-29
-ray     = 1.750e-10
-masmol  = 28.e-3
-rho     = 808.6
-tc      = 126.2
-tb      = 77.4
-pc      = 33.9
-w       = 3.9e-2
-a_sat   = -6.09676
-b_sat   = 1.13670
-c_sat   = -1.04072
-d_sat   = -1.93306
-mteta   = 0.
-tx_prod = 0.
+### List of actual species to be used in the model :
+### WARNING : The list of species specified here should be ordered :
+###           In the model, ice tracers as well as condensible gazs species must 
+###           have the same index.
+used_species = CH4, C2H6, C2H2, HCN
 
 # CH4 properties (useful for Titan :)
 #####################################
 [CH4]
-name    = "CH4"
+name    = CH4
 mas     = 2.6578e-26
 vol     = 6.252e-29
 ray     = 2.000e-10
-masmol  = 16.e-3
+masmol  = 16.04e-3
 rho     = 425.
-tc      = 190.4
-tb      = 111.6
-pc      = 46.0
+tc      = 190.551
+tb      = 111.66
+pc      = 45.992
 w       = 1.1e-2
-a_sat   = -6.00435
-b_sat   = 1.18850
-c_sat   = -0.83408
-d_sat   = -1.22833
-mteta   = 0.92
+a_sat   = -6.02242
+b_sat   = 1.26652
+c_sat   = -0.5707
+d_sat   = -1.366
+mteta   = 0.99
 tx_prod = 0.
 
@@ -77,19 +55,19 @@
 #################
 [C2H6]
-name    = "C2H6"
+name    = C2H6
 mas     = 4.983e-26
 vol     = 9.094e-29
 ray     = 2.220e-10
-masmol  = 30.e-3
+masmol  = 30.07e-3
 rho     = 544.6
-tc      = 305.4
-tb      = 184.6
-pc      = 48.8
+tc      = 305.33
+tb      = 184.55
+pc      = 48.71
 w       = 9.9e-2
-a_sat   = -6.34307
-b_sat   = 1.01163
-c_sat   = -1.19116
-d_sat   = -2.03539
-mteta   = 0.92
+a_sat   = -6.47500
+b_sat   = 1.41071
+c_sat   = -1.1440
+d_sat   = -1.8590
+mteta   = 0.99
 tx_prod = 1.2e-12
 
@@ -97,19 +75,19 @@
 #################
 [C2H2]
-name    = "C2H2"
+name    = C2H2
 mas     = 4.319e-26
 vol     = 7.020e-29
 ray     = 2.015e-10
-masmol  = 26.e-3
+masmol  = 26.04e-3
 rho     = 615.
-tc      = 308.8
-tb      = 188.4
-pc      = 61.4
+tc      = 308.35
+tb      = 188.40
+pc      = 61.39
 w       = 19.0e-2
-a_sat   = -6.90128
-b_sat   = 1.26873
-c_sat   = -2.09113
-d_sat   = -2.75601
-mteta   = 0.92
+a_sat   = -6.87886
+b_sat   = 1.30164
+c_sat   = -1.22474
+d_sat   = -3.59556
+mteta   = 0.99
 tx_prod = 3.2e-13 
 
@@ -117,5 +95,5 @@
 #################
 [HCN]
-name    = "HCN"
+name    = HCN
 mas     = 4.484e-26 
 vol     = 6.498e-29 
@@ -131,5 +109,4 @@
 c_sat   = -3.004
 d_sat   = 1635.
-mteta   = 0.92
+mteta   = 0.99
 tx_prod = 1e-12
-
Index: trunk/LMDZ.TITAN/libf/muphytitan/csystem.c
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/csystem.c	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/csystem.c	(revision 3090)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) (2013-2015,2017) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
+ * Copyright (c) (2013-2015,2017,2022) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
  *
  * This file is part of SWIFT
Index: trunk/LMDZ.TITAN/libf/muphytitan/csystem.h
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/csystem.h	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/csystem.h	(revision 3090)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) (2013-2015,2017) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
+ * Copyright (c) (2013-2015,2017,2022) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
  *
  * This file is part of SWIFT
Index: trunk/LMDZ.TITAN/libf/muphytitan/defined.h
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/defined.h	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/defined.h	(revision 3090)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) (2013-2015,2017) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
+ * Copyright (c) (2013-2015,2017,2022) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
  *
  * This file is part of SWIFT
Index: trunk/LMDZ.TITAN/libf/muphytitan/errors.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/errors.F90	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/errors.F90	(revision 3090)
@@ -1,3 +1,3 @@
-! Copyright (c) (2013-2015,2017) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
+! Copyright (c) (2013-2015,2017,2022) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
 !
 ! This file is part of SWIFT
Index: trunk/LMDZ.TITAN/libf/muphytitan/fsystem.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/fsystem.F90	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/fsystem.F90	(revision 3090)
@@ -1,3 +1,3 @@
-! Copyright (c) (2013-2015,2017) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
+! Copyright (c) (2013-2015,2017,2022) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
 !
 ! This file is part of SWIFT
Index: trunk/LMDZ.TITAN/libf/muphytitan/mm_clouds.f90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/mm_clouds.f90	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/mm_clouds.f90	(revision 3090)
@@ -1,4 +1,4 @@
-! Copyright 2013-2015,2017,2022 Université de Reims Champagne-Ardenne
-! Contributors: J. Burgalat (GSMA, URCA), B. de Batz de Trenquelléon (GSMA, URCA)
+! Copyright (2013-2015,2017,2022-2023) Université de Reims Champagne-Ardenne
+! Contributors : J. Burgalat (GSMA, URCA), B. de Batz de Trenquelléon (GSMA, URCA)
 ! email of the author : jeremie.burgalat@univ-reims.fr
 !
@@ -35,6 +35,6 @@
 !! summary: Clouds microphysics module
 !! author: J. Burgalat
-!! date: 2013-2015,2017,2022
-!! corrections: B. de Batz de Trenquelléon (2023)
+!! date: 2013-2015,2017,2022-2023
+!! modifications: B. de Batz de Trenquelléon
 
 MODULE MM_CLOUDS
@@ -109,13 +109,17 @@
       call mm_cloud_sedimentation(zdm0n,zdm3n,zdm3i)
 
-      ! computes precipitation, settling velocity and flux of ices
+      ! Computes settling velocity [m.s-1] of clouds (ccn and ices)
+      mm_ccn_vsed(:) = wsettle(mm_play,mm_temp,mm_zlay,mm_drho,mm_drad)
+
+      ! Computes flux [kg.m-2.s-1] and precipitation [m.iphysiq] of ccn
+      mm_ccn_flux(:) = get_mass_flux(mm_rhoaer,mm_m3ccn(:))
       mm_ccn_prec = SUM(zdm3n*mm_dzlev)
-      mm_ccn_w(:) = wsettle(mm_play,mm_temp,mm_zlay,mm_drho,mm_drad)
-      mm_ccn_flux(:) = get_mass_flux(mm_rhoaer,mm_m3ccn(:))
-
-      DO i=1, mm_nesp
+
+      ! Computes flux [kg.m-2.s-1] and precipitation [m.iphysiq] of ices
+      DO i = 1, mm_nesp
+        mm_ice_fluxes(:,i) = get_mass_flux(mm_xESPS(i)%rho,(3._mm_wp*mm_m3ice(:,i))/(4._mm_wp*mm_pi))
         mm_ice_prec(i) = SUM(zdm3i(:,i)*mm_dzlev)
-        mm_ice_fluxes(:,i) = get_mass_flux(mm_xESPS(i)%rho,mm_m3ice(:,i))
       ENDDO
+
       ! updates tendencies
       dm0n = dm0n + zdm0n
@@ -724,17 +728,18 @@
     REAL(kind=mm_wp), INTENT(in) :: rad !! Radius of the particle (m).
     REAL(kind=mm_wp) :: w               !! Settling velocity (\(m.s^{-1}\)).
-    REAL(kind=mm_wp) :: Us, Fc
+    REAL(kind=mm_wp) :: Us, Fc, kn
+    REAL(kind=mm_wp), PARAMETER :: ra = 1.75e-10_mm_wp
+    
+    ! Knudsen number
+    kn = (mm_kboltz * t) / (p * 4._mm_wp * sqrt(2._mm_wp) * mm_pi * ra**2) / rad
+
+    ! Computes slip-flow correction : Fc = 1 + (mm_akn * mm_lambda_g(t,p) / rad)
+    Fc = (1._mm_wp + 1.2517_mm_wp*kn + 0.4_mm_wp*kn*dexp(-1.1_mm_wp/kn))
     
     ! Computes Stokes settling velocity
     Us = (2._mm_wp * rad**2 * rho * mm_effg(z)) / (9._mm_wp * mm_eta_g(t))
     
-    ! Apply slip-flow correction
-    Fc = 1 + (mm_akn * mm_lambda_g(t,p) / rad)
-
-    ! Computes settling velocity
-    w = Us * Fc
-    !>>> [TEMPO : BBT]
-    !w = Us * Fc * 5.
-    !<<< [TEMPO : BBT]
+    ! Computes settling velocity (correction factor : x2.0)
+    w = Us * Fc * 2._mm_wp
   END FUNCTION wsettle
 
@@ -753,8 +758,8 @@
     REAL(kind=mm_wp), INTENT(in), DIMENSION(:) :: m3
     !! Vertical profile of the total volume of tracer (i.e. M3) from __TOP__ to __GROUND__ (\(m^{3}.m^{-3}\)).
-    REAL(kind=mm_wp), DIMENSION(SIZE(m3)) :: flx
+    REAL(kind=mm_wp), DIMENSION(SIZE(m3))      :: flx
     !! Mass sedimentation fluxes at each layer from __TOP__ to __GROUND__ (\(kg.m^{-2}.s^{-1}\)).
-    REAL(kind=mm_wp), SAVE :: fac = 4._mm_wp/3._mm_wp * mm_pi
-    flx = fac * rho * m3 * wsettle(mm_play,mm_temp,mm_zlay,mm_drho,mm_drad)
+    REAL(kind=mm_wp), SAVE :: pifac = (4._mm_wp * mm_pi) / 3._mm_wp
+    flx = rho * pifac * m3 * wsettle(mm_play,mm_temp,mm_zlay,mm_drho,mm_drad)
     RETURN
   END FUNCTION get_mass_flux
Index: trunk/LMDZ.TITAN/libf/muphytitan/mm_globals.f90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/mm_globals.f90	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/mm_globals.f90	(revision 3090)
@@ -1,4 +1,4 @@
-! Copyright 2013-2015,2017,2022 Université de Reims Champagne-Ardenne
-! Contributor: J. Burgalat (GSMA, URCA)
+! Copyright (2013-2015,2017,2022-2023) Université de Reims Champagne-Ardenne
+! Contributors : J. Burgalat (GSMA, URCA), B. de Batz de Trenquelléon (GSMA, URCA)
 ! email of the author : jeremie.burgalat@univ-reims.fr
 !
@@ -35,5 +35,6 @@
 !! summary: Parameters and global variables module.
 !! author: J. Burgalat
-!! date: 2013-2015,2017,2022
+!! date: 2013-2015,2017,2022-2023
+!! modifications: B. de Batz de Trenquelléon
 
 MODULE MM_GLOBALS
@@ -274,11 +275,8 @@
 
   ! Thresholds !
-
   !> (min.) Total number of aerosols minimum threshold for the spherical mode.
   REAL(kind=mm_wp), SAVE :: mm_m0as_min = 1.e-10_mm_wp
-
   !> (min.) Total volume of aerosols minimum threshold for the spherical mode.
   REAL(kind=mm_wp), SAVE :: mm_m3as_min = 1.e-40_mm_wp
-
   !> Characteristic radius minimum threshold for the spherical mode.
   REAL(kind=mm_wp), SAVE :: mm_rcs_min = 1.e-9_mm_wp
@@ -286,8 +284,6 @@
   !> (min.) Total number of aerosols minimum threshold for the fractal mode.
   REAL(kind=mm_wp), SAVE :: mm_m0af_min = 1.e-10_mm_wp
-
   !> (min.) Total volume of aerosols minimum threshold for the fractal mode.
   REAL(kind=mm_wp), SAVE :: mm_m3af_min = 1.e-40_mm_wp
-
   !> Characteristic radius minimum threshold for the fractal mode.
   REAL(kind=mm_wp), SAVE :: mm_rcf_min = 1.e-9_mm_wp
@@ -295,16 +291,13 @@
   !> (min.) Total number of cloud drop minimum threshold.
   REAL(kind=mm_wp), SAVE :: mm_m0n_min = 1.e-10_mm_wp
-
   !> (min.) Total volume of cloud drop minimum threshold.
   REAL(kind=mm_wp), SAVE :: mm_m3cld_min = 1.e-40_mm_wp
+  !> Minimum cloud drop radius
+  REAL(kind=mm_wp), SAVE :: mm_drad_min = 1.e-9_mm_wp
+  !> Maximum cloud drop radius
+  REAL(kind=mm_wp), SAVE :: mm_drad_max = 1.e-3_mm_wp
 
   !> Characteristic radius threshold.
   REAL(kind=mm_wp), SAVE :: mm_rc_min = 1.e-200_mm_wp
-
-  !> Minimum cloud drop radius
-  REAL(kind=mm_wp), SAVE :: mm_drad_min = 1.e-9_mm_wp
-
-  !> Maximum cloud drop radius
-  REAL(kind=mm_wp), SAVE :: mm_drad_max = 1.e-3_mm_wp
 
   !> Name of condensible species.
@@ -442,4 +435,8 @@
   REAL(kind=mm_wp), SAVE :: mm_aer_prec = 0._mm_wp
 
+  !> CCN precipitations (m).
+  !! It is updated in [[mm_clouds(module):mm_cloud_microphysics(subroutine)]].
+  REAL(kind=mm_wp), SAVE :: mm_ccn_prec = 0._mm_wp
+
   !> Spherical mode \(M_{0}\) settling velocity (\(m.s^{-1}\)).
   !!
@@ -478,4 +475,11 @@
   REAL(kind=mm_wp), DIMENSION(:), ALLOCATABLE, SAVE :: mm_m3af_vsed
 
+  !> CCN settling velocity (\(m.s^{-1}\)).
+  !!
+  !! It is a vector with the vertical layers that contains the
+  !! settling velocity for CCN (and ices).
+  !! It is updated in [[mm_clouds(module):mm_cloud_microphysics(subroutine)]].
+  REAL(kind=mm_wp), DIMENSION(:), ALLOCATABLE, SAVE :: mm_ccn_vsed
+
   !> Spherical aerosol mass fluxes (\(kg.m^{-2}.s^{-1}\)).
   !!
@@ -493,17 +497,4 @@
   !! This variable is always negative.
   REAL(kind=mm_wp), DIMENSION(:), ALLOCATABLE, SAVE :: mm_aer_f_flux
-
-  !> CCN precipitations (m).
-  !! It is updated in [[mm_clouds(module):mm_cloud_microphysics(subroutine)]].
-  REAL(kind=mm_wp), SAVE :: mm_ccn_prec = 0._mm_wp
-
-  !> CCN settling velocity (\(m.s^{-1}\)).
-  !!
-  !! It is a vector with the vertical layers that contains the
-  !! settling velocity for CCN (and ices).
-  !! It is updated in [[mm_clouds(module):mm_cloud_microphysics(subroutine)]].
-  !! @note
-  !! This variable is always positive.
-  REAL(kind=mm_wp), DIMENSION(:), ALLOCATABLE, SAVE :: mm_ccn_w
   
   !> CCN mass fluxes (\(kg.m^{-2}.s^{-1}\)).
@@ -512,6 +503,4 @@
   !! mass fluxes for CCN.
   !! It is updated in [[mm_clouds(module):mm_cloud_microphysics(subroutine)]].
-  !! @note
-  !! This variable is always positive.
   REAL(kind=mm_wp), DIMENSION(:), ALLOCATABLE, SAVE :: mm_ccn_flux
 
@@ -593,6 +582,6 @@
   !$OMP THREADPRIVATE(mm_m0ccn,mm_m3ccn,mm_m3ice,mm_gazs)
   !$OMP THREADPRIVATE(mm_rcs,mm_rcf,mm_drad,mm_drho)
-  !$OMP THREADPRIVATE(mm_aer_s_flux,mm_aer_f_flux,mm_ccn_w,mm_ccn_flux,mm_ice_prec,mm_ice_fluxes,mm_gazs_sat)
   !$OMP THREADPRIVATE(mm_m0as_vsed,mm_m3as_vsed,mm_m0af_vsed,mm_m3af_vsed)
+  !$OMP THREADPRIVATE(mm_aer_s_flux,mm_aer_f_flux,mm_ccn_vsed,mm_ccn_flux,mm_ice_prec,mm_ice_fluxes,mm_gazs_sat)
   !$OMP THREADPRIVATE(mm_m0as_min,mm_m3as_min,mm_rcs_min,mm_m0af_min,mm_m3af_min,mm_rcf_min,mm_m0n_min,mm_m3cld_min)
   !$OMP THREADPRIVATE(mm_nla,mm_nle)
@@ -997,5 +986,4 @@
     err = mm_check_opt(cfg_get_value(cfg,"fiadero_min_ratio",mm_fiadero_min),mm_fiadero_min,zfiamin,wlog=mm_log)
     err = mm_check_opt(cfg_get_value(cfg,"fiadero_max_ratio",mm_fiadero_max),mm_fiadero_max,zfiamax,wlog=mm_log)
-
     err = mm_check_opt(cfg_get_value(cfg,"m0as_min",mm_m0as_min),mm_m0as_min,1e-10_mm_wp,wlog=mm_log)
     err = mm_check_opt(cfg_get_value(cfg,"rcs_min",mm_rcs_min),mm_rcs_min,1e-9_mm_wp,wlog=mm_log)
@@ -1003,5 +991,4 @@
     err = mm_check_opt(cfg_get_value(cfg,"rcf_min",mm_rcf_min),mm_rcf_min,mm_rm,wlog=mm_log)
     err = mm_check_opt(cfg_get_value(cfg,"m0n_min",mm_m0n_min),mm_m0n_min,1e-10_mm_wp,wlog=mm_log)
-
 
     ! force fractal radius minimum threshold to monomer radius ^^
@@ -1152,4 +1139,16 @@
     IF (.NOT.ALLOCATED(mm_rcf))     ALLOCATE(mm_rcf(mm_nla))
     ! Allocate memory for diagnostics
+    IF (.NOT.ALLOCATED(mm_m0as_vsed)) THEN
+      ALLOCATE(mm_m0as_vsed(mm_nla)) ; mm_m0as_vsed(:) = 0._mm_wp
+    ENDIF
+    IF (.NOT.ALLOCATED(mm_m3as_vsed)) THEN
+      ALLOCATE(mm_m3as_vsed(mm_nla)) ; mm_m3as_vsed(:) = 0._mm_wp
+    ENDIF
+    IF (.NOT.ALLOCATED(mm_m0af_vsed)) THEN
+      ALLOCATE(mm_m0af_vsed(mm_nla)) ; mm_m0af_vsed(:) = 0._mm_wp
+    ENDIF
+    IF (.NOT.ALLOCATED(mm_m3af_vsed)) THEN
+      ALLOCATE(mm_m3af_vsed(mm_nla)) ; mm_m3af_vsed(:) = 0._mm_wp
+    ENDIF
     IF (.NOT.ALLOCATED(mm_aer_s_flux)) THEN
       ALLOCATE(mm_aer_s_flux(mm_nla)) ; mm_aer_s_flux(:) = 0._mm_wp
@@ -1157,16 +1156,4 @@
     IF (.NOT.ALLOCATED(mm_aer_f_flux)) THEN
       ALLOCATE(mm_aer_f_flux(mm_nla)) ; mm_aer_f_flux(:) = 0._mm_wp
-    ENDIF
-    IF (.NOT.ALLOCATED(mm_m0as_vsed)) THEN
-      ALLOCATE(mm_m0as_vsed(mm_nla)) ; mm_m0as_vsed(:) = 0._mm_wp
-    ENDIF
-    IF (.NOT.ALLOCATED(mm_m3as_vsed)) THEN
-      ALLOCATE(mm_m3as_vsed(mm_nla)) ; mm_m3as_vsed(:) = 0._mm_wp
-    ENDIF
-    IF (.NOT.ALLOCATED(mm_m0af_vsed)) THEN
-      ALLOCATE(mm_m0af_vsed(mm_nla)) ; mm_m0af_vsed(:) = 0._mm_wp
-    ENDIF
-    IF (.NOT.ALLOCATED(mm_m3af_vsed)) THEN
-      ALLOCATE(mm_m3af_vsed(mm_nla)) ; mm_m3af_vsed(:) = 0._mm_wp
     ENDIF
     ! note : mm_dzlev is already from top to ground
@@ -1241,6 +1228,6 @@
     IF (.NOT.ALLOCATED(mm_drho))    ALLOCATE(mm_drho(mm_nla))
     ! Allocate memory for diagnostics
-    IF (.NOT.ALLOCATED(mm_ccn_w)) THEN
-      ALLOCATE(mm_ccn_w(mm_nla)) ; mm_ccn_w(:) = 0._mm_wp
+    IF (.NOT.ALLOCATED(mm_ccn_vsed)) THEN
+      ALLOCATE(mm_ccn_vsed(mm_nla)) ; mm_ccn_vsed(:) = 0._mm_wp
     ENDIF
     IF (.NOT.ALLOCATED(mm_ccn_flux)) THEN
@@ -1444,6 +1431,6 @@
     ! Initialization :
     Ntot = m0ccn
-    Vtot = pifac * m3ccn + SUM(m3ice)
-    Wtot = pifac * ((m3ccn*mm_rhoaer) + SUM(m3ice*mm_xESPS(:)%rho))
+    Vtot = pifac*m3ccn + SUM(m3ice)
+    Wtot = pifac*m3ccn*mm_rhoaer + SUM(m3ice*mm_xESPS(:)%rho)
 
     IF (Ntot <= mm_m0n_min .OR. Vtot <= mm_m3cld_min) THEN
Index: trunk/LMDZ.TITAN/libf/muphytitan/mm_haze.f90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/mm_haze.f90	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/mm_haze.f90	(revision 3090)
@@ -731,8 +731,4 @@
       cslf = mm_akn * mm_lambda_g(mm_btemp(i),mm_plev(i))
       wth(i) = - csto/(rb2ra*afun(k)) * (rc(i-1)**ar1 * afun(af1) + cslf/rb2ra * rc(i-1)**ar2 * afun(af2))
-
-      ! >>> [TEMPO : BBT]
-      !wth(i) = wth(i) * (2574e3 / (2574e3+mm_zlev(i)))**4
-      ! <<< [TEMPO : BBT]
       
       ! now correct velocity to reduce numerical diffusion
Index: trunk/LMDZ.TITAN/libf/muphytitan/mm_methods.f90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/mm_methods.f90	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/mm_methods.f90	(revision 3090)
@@ -1,4 +1,4 @@
-! Copyright 2013-2015,2017,2022 Université de Reims Champagne-Ardenne
-! Contributors: J. Burgalat (GSMA, URCA), B. de Batz de Trenquelléon (GSMA, URCA)
+! Copyright (2013-2015,2017,2022-2023) Université de Reims Champagne-Ardenne
+! Contributors : J. Burgalat (GSMA, URCA), B. de Batz de Trenquelléon (GSMA, URCA)
 ! email of the author : jeremie.burgalat@univ-reims.fr
 !
@@ -35,6 +35,6 @@
 !! summary: Model miscellaneous methods module.
 !! author: J. Burgalat
-!! date: 2013-2015,2017,2022
-!! corrections: B. de Batz de Trenquelléon (2023)
+!! date: 2013-2015,2017,2022-2023
+!! modifications: B. de Batz de Trenquelléon
 
 MODULE MM_METHODS
@@ -133,5 +133,5 @@
   !!
   !! The method computes the molar mixing ratio at saturation of a given specie at given temperature(s)
-  !! and pressure level(s) [Fray and Schmidt (2009)].
+  !! and pressure level(s).
   !!
   !! ```fortran
@@ -314,16 +314,16 @@
     !!
     !! @warning
-    !! The method applies a multiplicative factor of 0.85 if the specie is CH4 :
+    !! The method applies a multiplicative factor of 0.80 if the specie is CH4 :
     !! this is done to account for dissolution in N2 and is somehow specific to Titan atmosphere.
     REAL(kind=mm_wp), INTENT(in) :: temp !! Temperature (K).
     REAL(kind=mm_wp), INTENT(in) :: pres !! Pressure level (Pa).
-    TYPE(mm_esp), INTENT(in)    :: xESP  !! Specie properties.
-    REAL(kind=mm_wp) :: res              !! Mass mixing ratio of the specie.
-    REAL(kind=mm_wp) :: psat
+    TYPE(mm_esp), INTENT(in)     :: xESP !! Specie properties.
+    REAL(kind=mm_wp)             :: res  !! Mass mixing ratio of the specie.
+    REAL(kind=mm_wp)             :: psat
     psat = mm_psatX(temp,xESP)
     res = (psat / pres) * xESP%fmol2fmas
-    ! Peculiar case : CH4 : x0.85 (dissolution in N2)
+    ! Peculiar case of CH4 : x0.80 (dissolution in N2)
     IF (xESP%name == "CH4") THEN
-      res = res * 0.85_mm_wp
+      res = res * 0.80_mm_wp
       IF (mm_debug) WRITE(*,'(a)') "[DEBUG] mm_qsat: applying .85 factor to qsat for CH4 specie (N2 dissolution)"
     ENDIF
@@ -339,11 +339,11 @@
     REAL(kind=mm_wp), INTENT(in), DIMENSION(:) :: pres !! Pressure levels (Pa).
     TYPE(mm_esp), INTENT(in)                   :: xESP !! Specie properties.
-    REAL(kind=mm_wp), DIMENSION(SIZE(temp)) :: res     !! Mass mixing ratios of the specie.
-    REAL(kind=mm_wp), DIMENSION(SIZE(temp)) :: psat
+    REAL(kind=mm_wp), DIMENSION(SIZE(temp))    :: res  !! Mass mixing ratios of the specie.
+    REAL(kind=mm_wp), DIMENSION(SIZE(temp))    :: psat
     psat = mm_psatX(temp,xESP)
     res = (psat / pres) * xESP%fmol2fmas
-    ! Peculiar case : CH4 : x0.85 (dissolution in N2)
+    ! Peculiar case of CH4 : x0.80 (dissolution in N2)
     IF (xESP%name == "CH4") THEN
-      res = res * 0.85_mm_wp
+      res = res * 0.80_mm_wp
       IF (mm_debug) WRITE(*,'(a)') "[DEBUG] mm_qsat: applying .85 factor to qsat for CH4 specie (N2 dissolution)"
     ENDIF
@@ -352,7 +352,8 @@
   FUNCTION ysatX_sc(temp,pres,xESP) RESULT(res)
     !! Get the molar mixing ratio of a given specie at saturation (scalar).
+    !! Compute saturation profiles (mol/mol) for condensable tracers
     !!
     !! @warning
-    !! The method applies a multiplicative factor of 0.85 if the specie is CH4 :
+    !! The method applies a multiplicative factor of 0.80 if the specie is CH4 :
     !! this is done to account for dissolution in N2 and is somehow specific to Titan atmosphere.
     REAL(kind=mm_wp), INTENT(in) :: temp !! Temperature (K).
@@ -361,20 +362,25 @@
     REAL(kind=mm_wp)             :: res  !! Molar mixing ratio of the specie.
 
-    ! Fray and Schmidt (2009)
     IF(xESP%name == "C2H2") THEN
+      ! Fray and Schmidt (2009)
       res = (1.0e5 / pres) * exp(1.340e1 - 2.536e3/temp)
     
     ELSE IF(xESP%name == "C2H6") THEN
+      ! Fray and Schmidt (2009)
       res = (1.0e5 / pres) * exp(1.511e1 - 2.207e3/temp - 2.411e4/temp**2 + 7.744e5/temp**3 - 1.161e7/temp**4 + 6.763e7/temp**5)
     
     ELSE IF(xESP%name == "HCN") THEN
+      ! Fray and Schmidt (2009)
       res = (1.0e5 / pres) * exp(1.393e1 - 3.624e3/temp - 1.325e5/temp**2 + 6.314e6/temp**3 - 1.128e8/temp**4)
     
     ELSE IF (xESP%name == "CH4") THEN
+      ! Fray and Schmidt (2009)
       res = (1.0e5 / pres) * exp(1.051e1 - 1.110e3/temp - 4.341e3/temp**2 + 1.035e5/temp**3 - 7.910e5/temp**4)
-      res = res * 0.85_mm_wp
-      !IF (res < 0.014) THEN
-      !  res = 0.014
-      !ENDIF
+      ! Peculiar case of CH4 : x0.80 (dissolution in N2)
+      res = res * 0.80_mm_wp
+      ! Forcing CH4 to 1.4% minimum 
+      IF (res < 0.014) THEN
+        res = 0.014
+      ENDIF
     ENDIF
   END FUNCTION ysatX_sc
@@ -382,7 +388,8 @@
   FUNCTION ysatX_ve(temp,pres,xESP) RESULT(res)
     !! Get the molar mixing ratio of a given specie at saturation (vector).
+    !! Compute saturation profiles (mol/mol) for condensable tracers
     !!
     !! @warning
-    !! The method applies a multiplicative factor of 0.85 if the specie is CH4 :
+    !! The method applies a multiplicative factor of 0.80 if the specie is CH4 :
     !! this is done to account for dissolution in N2 and is somehow specific to Titan atmosphere.
     REAL(kind=mm_wp), INTENT(in), DIMENSION(:) :: temp !! Temperatures (K).
@@ -391,12 +398,14 @@
     REAL(kind=mm_wp), DIMENSION(SIZE(temp))    :: res  !! Molar mixing ratios of the specie.
 
-    ! Fray and Schmidt (2009)
     IF(xESP%name == "C2H2") THEN
+      ! Fray and Schmidt (2009)
       res = (1.0e5 / pres) * exp(1.340e1 - 2.536e3/temp)
     
     ELSE IF(xESP%name == "C2H6") THEN
+      ! Fray and Schmidt (2009)
       res = (1.0e5 / pres) * exp(1.511e1 - 2.207e3/temp - 2.411e4/temp**2 + 7.744e5/temp**3 - 1.161e7/temp**4 + 6.763e7/temp**5)
     
     ELSE IF(xESP%name == "HCN") THEN
+      ! Fray and Schmidt (2009)
       res = (1.0e5 / pres) * exp(1.393e1 - 3.624e3/temp - 1.325e5/temp**2 + 6.314e6/temp**3 - 1.128e8/temp**4)
     
@@ -404,6 +413,8 @@
     ELSE IF (xESP%name == "CH4") THEN
       res = (1.0e5 / pres) * exp(1.051e1 - 1.110e3/temp - 4.341e3/temp**2 + 1.035e5/temp**3 - 7.910e5/temp**4)
-      res = res * 0.85_mm_wp
-      !WHERE (res(:) < 0.014) res(:) = 0.014
+      ! Peculiar case of CH4 : x0.80 (dissolution in N2)
+      res = res * 0.80_mm_wp
+      ! Forcing CH4 to 1.4% minimum 
+      WHERE (res(:) < 0.014) res(:) = 0.014
     ENDIF
   END FUNCTION ysatX_ve
Index: trunk/LMDZ.TITAN/libf/muphytitan/mm_microphysic.f90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/mm_microphysic.f90	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/mm_microphysic.f90	(revision 3090)
@@ -1,4 +1,4 @@
-! Copyright 2013-2015,2017,2022 Université de Reims Champagne-Ardenne
-! Contributor: J. Burgalat (GSMA, URCA)
+! Copyright (2013-2015,2017,2022-2023) Université de Reims Champagne-Ardenne
+! Contributors : J. Burgalat (GSMA, URCA), B. de Batz de Trenquelléon (GSMA, URCA)
 ! email of the author : jeremie.burgalat@univ-reims.fr
 !
@@ -35,5 +35,6 @@
 !! brief: Microphysic processes interface module.
 !! author: J. Burgalat
-!! date: 2013-2015,2017,2022
+!! date: 2013-2015,2017,2022-2023
+!! modifications: B. de Batz de Trenquelléon
 
 MODULE MM_MICROPHYSIC
@@ -114,11 +115,7 @@
       dm0n   = dm0n(mm_nla:1:-1) * mm_dzlev(mm_nla:1:-1)
       dm3n   = dm3n(mm_nla:1:-1) * mm_dzlev(mm_nla:1:-1)
-      ! sanity check for clouds tendencies : call mm_check_tendencies(mm_m0ccn,dm0n)
-      ! sanity check for clouds tendencies : call mm_check_tendencies(mm_m3ccn,dm3n)
       DO i=1,mm_nesp
         dm3i(:,i)  = dm3i(mm_nla:1:-1,i) * mm_dzlev(mm_nla:1:-1)
-        ! sanity check for clouds tendencies : call mm_check_tendencies(mm_m3ice,dm3i)
         dgazs(:,i) = dgazs(mm_nla:1:-1,i)
-        ! no sanity check for gazs, let's prey.
       ENDDO
     ELSE
@@ -130,9 +127,4 @@
     dm0a_f = dm0a_f(mm_nla:1:-1) * mm_dzlev(mm_nla:1:-1)
     dm3a_f = dm3a_f(mm_nla:1:-1) * mm_dzlev(mm_nla:1:-1)
-    ! sanity check
-    ! sanity check : call mm_check_tendencies(mm_m0aer_s,dm0a_s)
-    ! sanity check : call mm_check_tendencies(mm_m3aer_s,dm3a_s)
-    ! sanity check : call mm_check_tendencies(mm_m0aer_f,dm0a_f)
-    ! sanity check : call mm_check_tendencies(mm_m3aer_f,dm3a_f)
     RETURN
   END FUNCTION muphys_all
@@ -168,9 +160,4 @@
     dm0a_f = dm0a_f(mm_nla:1:-1) * mm_dzlev(mm_nla:1:-1)
     dm3a_f = dm3a_f(mm_nla:1:-1) * mm_dzlev(mm_nla:1:-1)
-    ! sanity check
-    ! sanity check : call mm_check_tendencies(mm_m0aer_s,dm0a_s)
-    ! sanity check : call mm_check_tendencies(mm_m3aer_s,dm3a_s)
-    ! sanity check : call mm_check_tendencies(mm_m0aer_f,dm0a_f)
-    ! sanity check : call mm_check_tendencies(mm_m3aer_f,dm3a_f)
     RETURN
   END FUNCTION muphys_nocld
@@ -219,8 +206,8 @@
       IF (PRESENT(ccn_prec))   ccn_prec   = ABS(mm_ccn_prec)
       IF (PRESENT(ice_prec))   ice_prec   = ABS(mm_ice_prec)
-      IF (PRESENT(ccn_w))      ccn_w      = mm_ccn_w(mm_nla:1:-1)
-      IF (PRESENT(ccn_flux))   ccn_flux   = -mm_ccn_flux(mm_nla:1:-1)
+      IF (PRESENT(ccn_w))      ccn_w      = mm_ccn_vsed(mm_nla:1:-1)
+      IF (PRESENT(ccn_flux))   ccn_flux   = mm_ccn_flux(mm_nla:1:-1)
       IF (PRESENT(ice_fluxes)) ice_fluxes = mm_ice_fluxes(mm_nla:1:-1,:)
-      IF (PRESENT(gazs_sat))   gazs_sat   =  mm_gazs_sat(mm_nla:1:-1,:)
+      IF (PRESENT(gazs_sat))   gazs_sat   = mm_gazs_sat(mm_nla:1:-1,:)
     ELSE
       IF (PRESENT(ccn_prec))   ccn_prec   = 0._mm_wp
Index: trunk/LMDZ.TITAN/libf/muphytitan/mmp_gcm.f90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/mmp_gcm.f90	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/mmp_gcm.f90	(revision 3090)
@@ -1,4 +1,4 @@
-! Copyright 2017 Université de Reims Champagne-Ardenne
-! Contributor: J. Burgalat (GSMA, URCA)
+! Copyright (2017,2022-2023) Université de Reims Champagne-Ardenne
+! Contributors : J. Burgalat (GSMA, URCA), B. de Batz de Trenquelléon (GSMA, URCA)
 ! email of the author : jeremie.burgalat@univ-reims.fr
 !
@@ -35,5 +35,6 @@
 !! summary: YAMMS interfaces for the LMDZ GCM.
 !! author: J. Burgalat
-!! date: 2017
+!! date: 2017,2022,2023
+!! modifications: B. de Batz de Trenquelléon
 MODULE MMP_GCM
   !! Interface to YAMMS for the LMDZ GCM.
@@ -247,5 +248,4 @@
     WRITE(*,'(a,L2)')     "electric_charging    : ", mmp_w_qe
     call mm_dump_parameters()
-
     IF (clouds) THEN
       DO i=1, size(mm_xESPS)
Index: trunk/LMDZ.TITAN/libf/muphytitan/string_op.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/string_op.F90	(revision 3086)
+++ trunk/LMDZ.TITAN/libf/muphytitan/string_op.F90	(revision 3090)
@@ -1,3 +1,3 @@
-! Copyright (c) (2013-2015,2017) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
+! Copyright (c) (2013-2015,2017,2022) Jeremie Burgalat (jeremie.burgalat@univ-reims.fr).
 !
 ! This file is part of SWIFT
